blob: e265bcdab2e7ce7dc1667e679ebff2529c36e537 [file] [log] [blame]
DEFINED_PHASES=compile configure install prepare setup test unpack
DEPEND=dev-python/setuptools[python_targets_python2_7(-)?,-python_single_target_python2_7(-)] >=dev-python/pbr-1.6.0[python_targets_python2_7(-)?,-python_single_target_python2_7(-)] python_targets_python2_7? ( >=dev-lang/python-2.7.5-r2:2.7 ) >=dev-lang/python-exec-2:=[python_targets_python2_7(-)?,-python_single_target_python2_7(-)] >=dev-vcs/git-1.8.2.1
DESCRIPTION=Services for discovering, registering, and retrieving VM images
EAPI=6
HOMEPAGE=https://launchpad.net/glance
IUSE=doc mysql postgres +sqlite +swift python_targets_python2_7
LICENSE=Apache-2.0
RDEPEND=>=dev-python/pbr-1.6.0[python_targets_python2_7(-)?,-python_single_target_python2_7(-)] sqlite? ( >=dev-python/sqlalchemy-1.0.10[sqlite,python_targets_python2_7(-)?,-python_single_target_python2_7(-)] <dev-python/sqlalchemy-1.1.0[sqlite,python_targets_python2_7(-)?,-python_single_target_python2_7(-)] ) mysql? ( dev-python/mysql-python >=dev-python/sqlalchemy-1.0.10[python_targets_python2_7(-)?,-python_single_target_python2_7(-)] <dev-python/sqlalchemy-1.1.0[python_targets_python2_7(-)?,-python_single_target_python2_7(-)] ) postgres? ( dev-python/psycopg:2[python_targets_python2_7(-)?,-python_single_target_python2_7(-)] >=dev-python/sqlalchemy-1.0.10[python_targets_python2_7(-)?,-python_single_target_python2_7(-)] <dev-python/sqlalchemy-1.1.0[python_targets_python2_7(-)?,-python_single_target_python2_7(-)] ) >=dev-python/eventlet-0.18.4[python_targets_python2_7(-)?,-python_single_target_python2_7(-)] >=dev-python/pastedeploy-1.5.0[python_targets_python2_7(-)?,-python_single_target_python2_7(-)] >=dev-python/routes-1.12.3[python_targets_python2_7(-)?,-python_single_target_python2_7(-)] !~dev-python/routes-2.0[python_targets_python2_7(-)?,-python_single_target_python2_7(-)] !~dev-python/routes-2.1[python_targets_python2_7(-)?,-python_single_target_python2_7(-)] >=dev-python/webob-1.2.3[python_targets_python2_7(-)?,-python_single_target_python2_7(-)] >=dev-python/sqlalchemy-migrate-0.9.6[python_targets_python2_7(-)?,-python_single_target_python2_7(-)] >=dev-python/httplib2-0.7.5[python_targets_python2_7(-)?,-python_single_target_python2_7(-)] >=dev-python/pycrypto-2.6[python_targets_python2_7(-)?,-python_single_target_python2_7(-)] >=dev-python/oslo-config-3.7.0[python_targets_python2_7(-)?,-python_single_target_python2_7(-)] >=dev-python/oslo-concurrency-3.5.0[python_targets_python2_7(-)?,-python_single_target_python2_7(-)] >=dev-python/oslo-context-0.2.0[python_targets_python2_7(-)?,-python_single_target_python2_7(-)] >=dev-python/oslo-service-1.0.0[python_targets_python2_7(-)?,-python_single_target_python2_7(-)] >=dev-python/oslo-utils-3.5.0[python_targets_python2_7(-)?,-python_single_target_python2_7(-)] >=dev-python/stevedore-1.5.0[python_targets_python2_7(-)?,-python_single_target_python2_7(-)] >=dev-python/futurist-0.11.0[python_targets_python2_7(-)?,-python_single_target_python2_7(-)] >=dev-python/taskflow-1.16.0[python_targets_python2_7(-)?,-python_single_target_python2_7(-)] >=dev-python/keystoneauth-2.1.0[python_targets_python2_7(-)?,-python_single_target_python2_7(-)] >=dev-python/keystonemiddleware-4.0.0[python_targets_python2_7(-)?,-python_single_target_python2_7(-)] !~dev-python/keystonemiddleware-4.1.0[python_targets_python2_7(-)?,-python_single_target_python2_7(-)] >=dev-python/WSME-0.8.0[python_targets_python2_7(-)?,-python_single_target_python2_7(-)] >=dev-python/prettytable-0.7.0[python_targets_python2_7(-)?,-python_single_target_python2_7(-)] <dev-python/prettytable-0.8.0[python_targets_python2_7(-)?,-python_single_target_python2_7(-)] dev-python/paste[python_targets_python2_7(-)?,-python_single_target_python2_7(-)] >=dev-python/jsonschema-2.0.0[python_targets_python2_7(-)?,-python_single_target_python2_7(-)] !~dev-python/jsonschema-2.5.0[python_targets_python2_7(-)?,-python_single_target_python2_7(-)] <dev-python/jsonschema-3.0.0[python_targets_python2_7(-)?,-python_single_target_python2_7(-)] >=dev-python/python-keystoneclient-1.6.0[python_targets_python2_7(-)?,-python_single_target_python2_7(-)] !~dev-python/python-keystoneclient-1.8.0[python_targets_python2_7(-)?,-python_single_target_python2_7(-)] !~dev-python/python-keystoneclient-2.1.0[python_targets_python2_7(-)?,-python_single_target_python2_7(-)] >=dev-python/pyopenssl-0.14[python_targets_python2_7(-)?,-python_single_target_python2_7(-)] >=dev-python/six-1.9.0[python_targets_python2_7(-)?,-python_single_target_python2_7(-)] >=dev-python/oslo-db-4.1.0[python_targets_python2_7(-)?,-python_single_target_python2_7(-)] >=dev-python/oslo-i18n-2.1.0[python_targets_python2_7(-)?,-python_single_target_python2_7(-)] >=dev-python/oslo-log-1.14.0[python_targets_python2_7(-)?,-python_single_target_python2_7(-)] >=dev-python/oslo-messaging-4.0.0[python_targets_python2_7(-)?,-python_single_target_python2_7(-)] >=dev-python/oslo-middleware-3.0.0[python_targets_python2_7(-)?,-python_single_target_python2_7(-)] >=dev-python/oslo-policy-0.5.0[python_targets_python2_7(-)?,-python_single_target_python2_7(-)] >=dev-python/oslo-serialization-1.10.0[python_targets_python2_7(-)?,-python_single_target_python2_7(-)] >=dev-python/retrying-1.2.3[python_targets_python2_7(-)?,-python_single_target_python2_7(-)] !~dev-python/retrying-1.3.0[python_targets_python2_7(-)?,-python_single_target_python2_7(-)] >=dev-python/osprofiler-1.1.0[python_targets_python2_7(-)?,-python_single_target_python2_7(-)] >=dev-python/glance_store-0.13.0[python_targets_python2_7(-)?,-python_single_target_python2_7(-)] >=dev-python/semantic_version-2.3.1[python_targets_python2_7(-)?,-python_single_target_python2_7(-)] >=dev-python/castellan-0.3.1[python_targets_python2_7(-)?,-python_single_target_python2_7(-)] >=dev-python/cryptography-1.0[python_targets_python2_7(-)?,-python_single_target_python2_7(-)] >=dev-python/debtcollector-1.2.0[python_targets_python2_7(-)?,-python_single_target_python2_7(-)] >=dev-python/iso8601-0.1.9[python_targets_python2_7(-)?,-python_single_target_python2_7(-)] >=dev-python/monotonic-0.6[python_targets_python2_7(-)?,-python_single_target_python2_7(-)] python_targets_python2_7? ( >=dev-lang/python-2.7.5-r2:2.7 ) >=dev-lang/python-exec-2:=[python_targets_python2_7(-)?,-python_single_target_python2_7(-)]
REQUIRED_USE=|| ( mysql postgres sqlite ) || ( python_targets_python2_7 )
SLOT=0
_eclasses_=distutils-r1 674dae153419b2200ae54e879cc65b57 eutils b83a2420b796f7c6eff682679d08fe25 git-r3 00f60a84fc7b499c99edfe99caea9f95 multibuild 742139c87a9fa3766f0c2b155e5522bf multilib 165fc17c38d1b11dac2008280dab6e80 multiprocessing e32940a7b2a9992ad217eccddb84d548 python-r1 0f6937650a475d673baa5d0c8c0b37b3 python-utils-r1 1797277ea0e7cee5c7de7ce74cf8acd8 toolchain-funcs 6198c04daba0e1307bd844df7d37f423 user 80aaa71614ced86f02ee1a513821dc87 xdg-utils e2b2bd56125ce8cf59ce30c642b59d48
_md5_=5119b37845d3d102dd98832b6f3723c5